## org.eclipse.uml2.uml.editor.presentation
Class UMLEditor.UMLAdapterFactoryContentProvider

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
          org.eclipse.uml2.uml.editor.presentation.UMLEditor.UMLAdapterFactoryContentProvider

All Implemented Interfaces:
  org.eclipse.emf.edit.provider.INotifyChangedListener, org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider, org.eclipse.jface.viewers.ITreeContentProvider, org.eclipse.ui.views.properties.IPropertySourceProvider

Enclosing class:
  UMLEditor

    protected static class UMLEditor.UMLAdapterFactoryContentProvider

extends org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
`org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider.ViewerRefresh`

Field Summary

Fields inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
`adapterFactory, viewer, viewerRefresh`

Constructor Summary
`protected` `UMLEditor.UMLAdapterFactoryContentProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)`

Method Summary
`protected org.eclipse.ui.views.properties.IPropertySource` `createPropertySource(java.lang.Object object, org.eclipse.emf.edit.provider.IItemPropertySource itemPropertySource)`

Methods inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
`dispose, getAdapterFactory, getChildren, getElements, getParent, getPropertySource, hasChildren, inputChanged, notifyChanged, setAdapterFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UMLEditor.UMLAdapterFactoryContentProvider

    protected UMLEditor.UMLAdapterFactoryContentProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

Method Detail

### createPropertySource

    protected org.eclipse.ui.views.properties.IPropertySource createPropertySource(java.lang.Object object,
                                                                                   org.eclipse.emf.edit.provider.IItemPropertySource itemPropertySource)

  Overrides:
    `createPropertySource` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.